/*
Сначала получаем лист модификаторов для вещи.
Затем фильтруем список модификаторов на предмет тех, которые оказывают влияние на пользователя(флаг ввести?)
Затем отдаем массив с ними в метод Characters.recount()
Дальше надо распознать модификаторы. Часть будет в %, часть в абсолютных числах.
Значит, надо это распознавать.  Вроде, руби умеет выполнять формулы из переменных?
Если умеет, значит всё ок, просто втыкаем модификатор в формулу(хм, как?)
*/
class Character < ApplicationRecord
  has_many :items_owners, as: :owner
  has_many :items, through: :items_owners

  def recount(item)

  end

  def add_item(item, item_status, item_chareges)

    items << item
  end

end
